TCKind (Package com.ericsson.otp.ic version 4.2.31)
Keywords: com.ericsson.otp.ic.TCKind class

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ericsson.otp.ic
Class TCKind

    java.lang.Object
      com.ericsson.otp.ic.TCKind

    public final class TCKind

extends java.lang.Object

The TCKind class is the implementation of the OMG-IDL enumerant type TCKind.

Field Summary
`static int` | `_tk_alias`
`static int` | `_tk_any`
`static int` | `_tk_array`
`static int` | `_tk_atom`
`static int` | `_tk_boolean`
`static int` | `_tk_char`
`static int` | `_tk_double`
`static int` | `_tk_enum`
`static int` | `_tk_except`
`static int` | `_tk_fixed`
`static int` | `_tk_float`
`static int` | `_tk_long`
`static int` | `_tk_longdouble`
`static int` | `_tk_longlong`
`static int` | `_tk_null`
`static int` | `_tk_objref`
`static int` | `_tk_octet`
`static int` | `_tk_pid`
`static int` | `_tk_port`
`static int` | `_tk_Principal`
`static int` | `_tk_ref`
`static int` | `_tk_sequence`
`static int` | `_tk_short`
`static int` | `_tk_string`
`static int` | `_tk_struct`
`static int` | `_tk_term`
`static int` | `_tk_TypeCode`
`static int` | `_tk_ulong`
`static int` | `_tk_ulonglong`
`static int` | `_tk_union`
`static int` | `_tk_ushort`
`static int` | `_tk_void`
`static int` | `_tk_wchar`
`static int` | `_tk_wstring`
`static TCKind` | `tk_alias`
`static TCKind` | `tk_any`
`static TCKind` | `tk_array`
`static TCKind` | `tk_boolean`
`static TCKind` | `tk_char`
`static TCKind` | `tk_double`
`static TCKind` | `tk_enum`
`static TCKind` | `tk_except`
`static TCKind` | `tk_fixed`
`static TCKind` | `tk_float`
`static TCKind` | `tk_long`
`static TCKind` | `tk_longdouble`
`static TCKind` | `tk_longlong`
`static TCKind` | `tk_null`
`static TCKind` | `tk_objref`
`static TCKind` | `tk_octet`
`static TCKind` | `tk_Principal`
`static TCKind` | `tk_sequence`
`static TCKind` | `tk_short`
`static TCKind` | `tk_string`
`static TCKind` | `tk_struct`
`static TCKind` | `tk_TypeCode`
`static TCKind` | `tk_ulong`
`static TCKind` | `tk_ulonglong`
`static TCKind` | `tk_union`
`static TCKind` | `tk_ushort`
`static TCKind` | `tk_void`
`static TCKind` | `tk_wchar`
`static TCKind` | `tk_wstring`

Method Summary
`static TCKind` | `from_int(int __value)` Translator method for TCKind.
`int` | `value()` Accessor method for the value of TCKind.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _tk_null

    public static final int _tk_null

See Also:
  Constant Field Values

### _tk_void

    public static final int _tk_void

See Also:
  Constant Field Values

### _tk_short

    public static final int _tk_short

See Also:
  Constant Field Values

### _tk_long

    public static final int _tk_long

See Also:
  Constant Field Values

### _tk_ushort

    public static final int _tk_ushort

See Also:
  Constant Field Values

### _tk_ulong

    public static final int _tk_ulong

See Also:
  Constant Field Values

### _tk_float

    public static final int _tk_float

See Also:
  Constant Field Values

### _tk_double

    public static final int _tk_double

See Also:
  Constant Field Values

### _tk_boolean

    public static final int _tk_boolean

See Also:
  Constant Field Values

### _tk_char

    public static final int _tk_char

See Also:
  Constant Field Values

### _tk_octet

    public static final int _tk_octet

See Also:
  Constant Field Values

### _tk_any

    public static final int _tk_any

See Also:
  Constant Field Values

### _tk_TypeCode

    public static final int _tk_TypeCode

See Also:
  Constant Field Values

### _tk_Principal

    public static final int _tk_Principal

See Also:
  Constant Field Values

### _tk_objref

    public static final int _tk_objref

See Also:
  Constant Field Values

### _tk_struct

    public static final int _tk_struct

See Also:
  Constant Field Values

### _tk_union

    public static final int _tk_union

See Also:
  Constant Field Values

### _tk_enum

    public static final int _tk_enum

See Also:
  Constant Field Values

### _tk_string

    public static final int _tk_string

See Also:
  Constant Field Values

### _tk_sequence

    public static final int _tk_sequence

See Also:
  Constant Field Values

### _tk_array

    public static final int _tk_array

See Also:
  Constant Field Values

### _tk_alias

    public static final int _tk_alias

See Also:
  Constant Field Values

### _tk_except

    public static final int _tk_except

See Also:
  Constant Field Values

### _tk_longlong

    public static final int _tk_longlong

See Also:
  Constant Field Values

### _tk_ulonglong

    public static final int _tk_ulonglong

See Also:
  Constant Field Values

### _tk_longdouble

    public static final int _tk_longdouble

See Also:
  Constant Field Values

### _tk_wchar

    public static final int _tk_wchar

See Also:
  Constant Field Values

### _tk_wstring

    public static final int _tk_wstring

See Also:
  Constant Field Values

### _tk_fixed

    public static final int _tk_fixed

See Also:
  Constant Field Values

### _tk_atom

    public static final int _tk_atom

See Also:
  Constant Field Values

### _tk_pid

    public static final int _tk_pid

See Also:
  Constant Field Values

### _tk_port

    public static final int _tk_port

See Also:
  Constant Field Values

### _tk_ref

    public static final int _tk_ref

See Also:
  Constant Field Values

### _tk_term

    public static final int _tk_term

See Also:
  Constant Field Values

### tk_null

    public static final TCKind tk_null

### tk_void

    public static final TCKind tk_void

### tk_short

    public static final TCKind tk_short

### tk_long

    public static final TCKind tk_long

### tk_ushort

    public static final TCKind tk_ushort

### tk_ulong

    public static final TCKind tk_ulong

### tk_float

    public static final TCKind tk_float

### tk_double

    public static final TCKind tk_double

### tk_boolean

    public static final TCKind tk_boolean

### tk_char

    public static final TCKind tk_char

### tk_octet

    public static final TCKind tk_octet

### tk_any

    public static final TCKind tk_any

### tk_TypeCode

    public static final TCKind tk_TypeCode

### tk_Principal

    public static final TCKind tk_Principal

### tk_objref

    public static final TCKind tk_objref

### tk_struct

    public static final TCKind tk_struct

### tk_union

    public static final TCKind tk_union

### tk_enum

    public static final TCKind tk_enum

### tk_string

    public static final TCKind tk_string

### tk_sequence

    public static final TCKind tk_sequence

### tk_array

    public static final TCKind tk_array

### tk_alias

    public static final TCKind tk_alias

### tk_except

    public static final TCKind tk_except

### tk_longlong

    public static final TCKind tk_longlong

### tk_ulonglong

    public static final TCKind tk_ulonglong

### tk_longdouble

    public static final TCKind tk_longdouble

### tk_wchar

    public static final TCKind tk_wchar

### tk_wstring

    public static final TCKind tk_wstring

### tk_fixed

    public static final TCKind tk_fixed

Method Detail

### value

    public int value()

  Accessor method for the value of TCKind.

  Returns:
    int, the value of TCKind object

### from_int

    public static final TCKind from_int(int __value)
                                 throws java.lang.Exception

  Translator method for TCKind. Traslates the input integer value to a TCKind enumerant object.

  Returns:
    TCKind, a TCKind object
  Throws:
    `java.lang.Exception`

Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1991-2007 Ericsson AB
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD